#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           keysmith
Version: 23.04.3
Release:        %mkrel %{rel}
Summary:        Convergent OTP client
License:        GPLv3+
Group:          Graphical desktop/KDE
Url:            https://apps.kde.org/keysmith/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(libsodium)

BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Widgets)

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5Kirigami2)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5WindowSystem)

Requires:       kirigami

%description
OTP client for Plasma Mobile and Desktop.

%files -f %{name}.lang
%doc README.md
%license COPYING LICENSES/*.txt
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_iconsdir}/hicolor/scalable/apps/%{name}.svg

#------------------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Sun Mar 03 2024 daviddavid <daviddavid> 23.04.3-1.mga9
+ Revision: 2047370
- New version 23.04.3

* Sun Jun 11 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1961662
- initial package keysmith

